Bug 1540600 - glusterd fails to attach brick during restart of the node
Summary: glusterd fails to attach brick during restart of the node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Rajesh Madaka
URL:
Whiteboard: brick-multiplexing
Depends On: 1540607 1543706 1543708
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-01-31 14:00 UTC by Atin Mukherjee
Modified: 2018-09-04 06:43 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1540607 1556670 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:42:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:39 UTC

Description Atin Mukherjee 2018-01-31 14:00:19 UTC
Description of problem:
In a 3 node cluster with brick multiplexing is enabled, when one of the node is down and a volume goes through some option changes through volume set, on reboot of the node all the bricks fail to attach and hence looses the brick multiplexing feature. And other observation is the entire handshake process becomes very very slow and can take even hours and in between if some one brings down glusterd then we're going to loose certain volume info files.


Version-Release number of selected component (if applicable):
RHGS-3.4.0 (glusterfs-3.12.2)

How reproducible:
Always

Steps to Reproduce:
1. Create a 3 node cluster, enable brick multiplexing and setup 20 1 X 3 volumes and start them.
2. Now bring down glusterd on first node and perform volume set operation for all 20 volumes from any of the other nodes.
3. bring back glusterd instance on 1st node.

Actual results:
Bricks failed to attach and multiplexing mode is lost. And handshake becomes damn slow.

Expected results:
Bricks should come up in a multiplexed mode.

Additional info:

Comment 2 Atin Mukherjee 2018-02-01 06:05:38 UTC
upstream patch : https://review.gluster.org/#/c/19357

Comment 6 Rajesh Madaka 2018-02-20 13:14:00 UTC
verified this bug with replica3 volume

verified scenario:

1. Created 3 node cluster, enabled brick multiplexing and created 20 1 X 3 volumes and started them.
2. Now brought down glusterd on first node and performed volume set operation for all 20 volumes from second node.
3. brought back glusterd instance on 1st node.


Bricks came up in a multiplexed mode.

verified version:
glusterfs-3.12.2-4

Moving this bug to verified state.

Comment 8 errata-xmlrpc 2018-09-04 06:42:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.